2011年5月26日

[pgsql-jp: 40802] Re:pgAdmin3での質問。

SRA OSS の矢吹です。

> おせわになっております。
> 稲葉と申します。
>
> ubuntu Server で PostgreSQLを利用しているものです。
>
>

> pgAdmin3での困った問題なのですが、ubuntu 10.10では問題なかったのですが、
> ubuntu 11.04 でpgAdmin3のバージョンが1.12.2になってます。これが関係しているかは解りませんが...
>
> 困った問題というのは、別のサーバマシンにあるPostgreSQLを自分のPC(ubuntu )から
> pgAdmin3を起動して操作しているのですが、ubuntu 10.10(64bit)では問題なく
> pgAdmin3を操作してバックアップがとれたのですが、ubuntu 11.04(64bit)だと
> pgAdmin3を操作してバックアップを取ろうとすると、
> 「/usr/bin/pg_dump --host hoge.co.jp --port 5432 --username "postgres"
> --format custom --blobs --verbose --file "test1" \"hoge-data\"
> pg_dump: [アーカイバ(db)] データベース""hoge-data""への接続が失敗しました: FATAL:
> ??????""hoge-data""???????
> pg_dump: *** エラーのため中断

エラーの直接の原因は、データベース名が hoge-data ではなく、
ダブルクォートまで含めた "hoge-data" として渡されてしまって
いるからでしょう。
( \"hoge-data\" の \ が余計)

> プロセスは、1 のリターンコードを返しました。」
> とエラーメッセージが出てしまい、うまくゆきません。
> これは、自分自身のPC(ubuntu11.04)の中のPostgreSQLなら、うまく保存されますが、別のサーバマシンにあるPostgreSQLのバックアップができなくなりました。
>
> なにか設定することが増えたか、変わったかとも思います。

http://www.mailrepository.com/ubuntu-bugs.lists.ubuntu.com/msg/3632461/
のスレッドで同じ問題が報告されてて、pgAdmin3 の開発者が
1.12.3 で直したよ、と言っているようです。
1.12.3 のUbuntsu用パッケージが出てるかどうかは、すいません、わかりません。

> どなたかご存じないでしょうか?
> よろしくお願いします。


投稿者 xml-rpc : 2011年5月26日 19:39
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/104071
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。